<% g = Guideline.where('parent_id = ? AND (start_date <= ? OR start_date IS NULL) AND (end_date > ?
              OR end_date IS NULL)', gid, @version_date, @version_date) %>
<% gu = g.sort_by {|x| x.position}  %>

  <ol class="dd-list">
      <% if gu.respond_to?('each') %>
        <% gu.each do |guide| %>
          <li class="dd-item" data-id=<%=guide.id%>>
            <div class="dd-nodrag dd-panel">
              <% if guide.published == true %>
                <span class="glyphicon glyphicon-ok-sign text-success" style="font-size: 14px"></span>
              <% else %>
                <span class="glyphicon glyphicon-exclamation-sign text-warning" style="font-size: 14px"></span>
              <% end %>
              <% if small == true %>
                <%= link_to truncate(guide.title, :length => 45), guide.id.to_s + "?date=" + @version_date.to_s, method: 'get', class:"btn btn-link title dd-btn" %>
              <% else %>
                <%= link_to guide.title, edit_guideline_path(guide), class:"btn btn-link title dd-btn"%>
              <% end %>
              <span class="pull-right">
                <%= form_for :newChild, url: url_for(:controller => :guidelines, :action => :new_child) do |f| %>
                        <%= f.hidden_field :parent, value: guide.id %>
                        <%= f.hidden_field :guide, value: 0 %>
                        <%= f.submit "New Child", class:"btn btn-sm btn-default dd-btn" %>
                <% end %>
              </span>
            </div>
            <% if guide.children? %>
              <%= render partial: 'children', locals: {gid: guide.id, small: small, selected: selected}%>
            <% else %>
            <% end %>
          </li>
        <% end %>
      <% end %>
  </ol>
